Std New: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
(9 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:7-->
{{Docnav
{{Docnav
|
|
|[[Std_Open|Std Open]]
|[[Std_Open|Std Open]]
|[[Std_File_Menu|Std File Menu]]
|[[Std_File_Menu|File Menu]]
|IconL=
|IconL=
|IconR=Std_Open.svg
|IconR=Std_Open.svg
Line 21: Line 22:
==Description== <!--T:2-->
==Description== <!--T:2-->


<!--T:8-->
The '''Std New''' command creates a new empty document and makes it the active document.
The '''Std New''' command creates a new empty document and makes it the active document.


==Usage== <!--T:4-->
==Usage== <!--T:4-->


<!--T:9-->
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_New.svg|16px]] [[Std_New|Std New]]}} button.
#* Press the {{Button|[[Image:Std_New.svg|16px]] [[Std_New|Std New]]}} button.
Line 30: Line 33:
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|N}}.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|N}}.


==Preferences==
==Preferences== <!--T:10-->


<!--T:11-->
* FreeCAD will create a new document at start up if {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → CreateNewDoc}} is set to {{TRUE}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* FreeCAD will create a new document at start up if {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → CreateNewDoc}} is set to {{TRUE}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* Some document properties: the author name(s), company name and license information, can be preset in the [[Preferences Editor#Document|Preferences Editor]].
* Some document properties: author names, company name and license information, can be preset in the [[Preferences Editor#Document|Preferences Editor]].


==Properties==
==Properties== <!--T:12-->


<!--T:13-->
Most properties can also be changed in the dialog box of the [[Std_ProjectInfo|Std ProjectInfo]] command.
Most properties can also be changed in the dialog box of the [[Std_ProjectInfo|Std ProjectInfo]] command.


<!--T:14-->
* {{PropertyData|Comment}}: Any comment that may apply.
* {{PropertyData|Comment}}: Any comment that may apply.
* {{PropertyData|Company}}: Company name. {{Emphasis|Can be preset}}.
* {{PropertyData|Company}}: Company name. {{Emphasis|Can be preset}}.
Line 55: Line 61:
* {{PropertyData|Transient Dir}}: The transient directory used for recovery data. {{Emphasis|Not editable}}.
* {{PropertyData|Transient Dir}}: The transient directory used for recovery data. {{Emphasis|Not editable}}.


==Scripting== <!--T:15-->

<!--T:16-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:17-->
To create a new document use the {{incode|newDocument}} method of the FreeCAD application.

</translate>
{{Code|code=
import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'test.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveAs(fnm)

FreeCAD.closeDocument(doc.Name)

doc = FreeCAD.open(fnm)
doc.save()

FreeCAD.closeDocument(doc.Name)
}}
<translate>

<!--T:18-->
{{Docnav
{{Docnav
|
|
|[[Std_Open|Std Open]]
|[[Std_Open|Std Open]]
|[[Std_File_Menu|Std File Menu]]
|[[Std_File_Menu|File Menu]]
|IconL=
|IconL=
|IconR=Std_Open.svg
|IconR=Std_Open.svg

Revision as of 19:57, 11 April 2020

Std New

Menu location
File → New
Workbenches
All
Default shortcut
Ctrl+N
Introduced in version
-
See also
Std Open, Std Import

Description

The Std New command creates a new empty document and makes it the active document.

Usage

  1. There are several ways to invoke the command:
    • Press the Std New button.
    • Select the File → New option from the menu.
    • Use the keyboard shortcut: Ctrl+N.

Preferences

  • FreeCAD will create a new document at start up if Tools → Edit parameters... → BaseApp → Preferences → Document → CreateNewDoc is set to true. This setting can also be changed in the Preferences Editor.
  • Some document properties: author names, company name and license information, can be preset in the Preferences Editor.

Properties

Most properties can also be changed in the dialog box of the Std ProjectInfo command.

  • DataComment: Any comment that may apply.
  • DataCompany: Company name. Can be preset.
  • DataCreated By: Author name. Can be preset.
  • DataCreation Date: Automatic date stamp. Not editable.
  • DataFile Name: The full path of the file. Blank if the document has not been saved. Not editable.
  • DataId: Not implemented yet.
  • DataLabel: The name that will appear in the Tree view. By default the name of the document.
  • DataLast Modified By: Author name. Can be preset.
  • DataLast Modified Date: Automatic date stamp. Not editable.
  • DataLicense: License type. Can be preset.
  • DataLicense URL: License URL. Can be preset.
  • DataShow Hidden: If true, items that have been hidden in the Tree view will be displayed anyway. Hiding items in the tree can be useful when working on larger models.
  • DataTip: Not implemented yet.
  • DataTip Name: Not implemented yet.
  • DataTransient Dir: The transient directory used for recovery data. Not editable.

Scripting

See also: FreeCAD Scripting Basics.

To create a new document use the newDocument method of the FreeCAD application.

import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'test.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveAs(fnm)

FreeCAD.closeDocument(doc.Name)

doc = FreeCAD.open(fnm)
doc.save()

FreeCAD.closeDocument(doc.Name)